Update ignore paths

PATCH
/api/v1/review-filters/ignore-paths/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Path parameters

id*string
Match^rpath_
Length32 <= length <= 32

Request body

application/json
  1. body
repo*string|null
patterns*array<string>

Response body

ReviewIgnorePaths

application/json
  1. response
id*string
Match^rpath_
Length32 <= length <= 32
repo*string|null
githubRepoId*number||null
patterns*array<string>
skipped*boolean

True when a pattern is over the wildcard limit, so admission and delivery skip the whole row until it is edited

source*string
One of"hand""greptile"
createdByUserId*string|null
createdByName*string|null
createdAt*string
updatedAt*string
curl -X PATCH 'https://api.capy.ai/api/v1/review-filters/ignore-paths/string' \  -H 'Content-Type: application/json' \  -d '{  "repo": "string",  "patterns": [    "string"  ]}'
{  "id": "string",  "repo": "string",  "githubRepoId": 0,  "patterns": [    "string"  ],  "skipped": true,  "source": "hand",  "createdByUserId": "string",  "createdByName": "string",  "createdAt": "string",  "updatedAt": "string"}
Open in Capy